Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154076

Summary: gpg is marked PT_GNU_STACK RWE
Product: [Fedora] Fedora Reporter: Ivan Gyurdiev <ivg231>
Component: gnupgAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED RAWHIDE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 1.4.1-3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-29 20:06:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ivan Gyurdiev 2005-04-07 02:00:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
Please configure w/ --enable-noexecstack.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:

  

Additional info:

Comment 1 Ivan Gyurdiev 2005-05-11 22:02:01 UTC
Status of this bug?

Without this flag, gpg is marked PT_GNU_STACK RWE,
which causes it to not work in strict policy SELinux, 
if checkprotreq=0, and allow_gpg_execstack is false.

In other words, security would be improved if gpg was not
marked PT_GNU_STACK RWE, which can be accomplished by compiling
it with the option suggested - it was specifically modified upstream
for that purpose (gnupg bug 433).